# SPDX-FileCopyrightText: 2024 Justin Myers
#
# SPDX-License-Identifier: MIT
"""
Board stub for PCA10100 nRF52833 DK
 - port: nordic
 - board_id: pca10100
 - NVM size: 8192
 - Included modules: _bleio, alarm, analogio, array, audiobusio, audiocore, audiopwmio, board, builtins, busio, busio.SPI, busio.UART, collections, digitalio, math, microcontroller, neopixel_write, nvm, os, pulseio, pwmio, rainbowio, random, rotaryio, rtc, storage, struct, supervisor, sys, time, touchio, usb_cdc, usb_hid, usb_midi
 - Frozen libraries: 
"""

# Imports
import microcontroller


# Board Info:
board_id: str


# Pins:
NFC1: microcontroller.Pin  # P0_09
NFC2: microcontroller.Pin  # P0_10
D0: microcontroller.Pin  # P1_01
D1: microcontroller.Pin  # P1_02
D2: microcontroller.Pin  # P1_03
D3: microcontroller.Pin  # P1_04
D4: microcontroller.Pin  # P1_05
D5: microcontroller.Pin  # P1_06
D6: microcontroller.Pin  # P1_07
D7: microcontroller.Pin  # P1_08
D8: microcontroller.Pin  # P0_17
D9: microcontroller.Pin  # P0_19
D10: microcontroller.Pin  # P0_20
D11: microcontroller.Pin  # P0_21
D12: microcontroller.Pin  # P0_22
D13: microcontroller.Pin  # P0_23
D14: microcontroller.Pin  # P0_00
D15: microcontroller.Pin  # P0_01
D16: microcontroller.Pin  # P0_05
D17: microcontroller.Pin  # P0_06
D18: microcontroller.Pin  # P0_07
D19: microcontroller.Pin  # P0_08
D20: microcontroller.Pin  # P0_09
D21: microcontroller.Pin  # P0_10
D22: microcontroller.Pin  # P0_11
D23: microcontroller.Pin  # P0_12
D24: microcontroller.Pin  # P0_13
D25: microcontroller.Pin  # P0_14
D26: microcontroller.Pin  # P0_15
D27: microcontroller.Pin  # P0_16
D28: microcontroller.Pin  # P0_18
D29: microcontroller.Pin  # P0_24
D30: microcontroller.Pin  # P0_25
D31: microcontroller.Pin  # P1_00
D32: microcontroller.Pin  # P1_09
LED1: microcontroller.Pin  # P0_13
LED2: microcontroller.Pin  # P0_14
LED3: microcontroller.Pin  # P0_15
LED4: microcontroller.Pin  # P0_16
BUTTON1: microcontroller.Pin  # P0_11
BUTTON1_DEFAULT: microcontroller.Pin  # P0_11
BUTTON1_OPTIONAL: microcontroller.Pin  # P1_07
BUTTON2: microcontroller.Pin  # P0_12
BUTTON2_DEFAULT: microcontroller.Pin  # P0_12
BUTTON2_OPTIONAL: microcontroller.Pin  # P1_08
BUTTON3: microcontroller.Pin  # P0_24
BUTTON4: microcontroller.Pin  # P0_25


# Members:

# Unmapped:
#   none
