# SPDX-FileCopyrightText: 2024 Justin Myers
#
# SPDX-License-Identifier: MIT
"""
Board stub for STM32F4_DISCO
 - port: stm
 - board_id: stm32f4_discovery
 - NVM size: Unknown
 - Included modules: _asyncio, _bleio, _pixelmap, adafruit_bus_device, adafruit_pixelbuf, aesio, alarm, analogio, array, atexit, audiocore, audiomixer, audiomp3, audiopwmio, binascii, bitbangio, bitmapfilter, bitmaptools, board, builtins, builtins.pow3, busdisplay, busio, busio.SPI, busio.UART, canio, codeop, collections, digitalio, displayio, epaperdisplay, errno, fontio, fourwire, framebufferio, getpass, gifio, i2cdisplaybus, io, jpegio, json, keypad, keypad.KeyMatrix, keypad.Keys, keypad.ShiftRegisterKeys, keypad_demux, keypad_demux.DemuxKeyMatrix, locale, math, microcontroller, msgpack, neopixel_write, onewireio, os, os.getenv, pulseio, pwmio, rainbowio, random, re, rtc, sdcardio, sdioio, select, sharpdisplay, storage, struct, supervisor, synthio, sys, terminalio, time, touchio, traceback, ulab, usb_cdc, usb_hid, usb_midi, vectorio, warnings, zlib
 - Frozen libraries: 
"""

# Imports
import microcontroller


# Board Info:
board_id: str


# Pins:
PC00: microcontroller.Pin  # PC00
PC01: microcontroller.Pin  # PC01
PC02: microcontroller.Pin  # PC02
PC03: microcontroller.Pin  # PC03
PA00: microcontroller.Pin  # PA00
PA01: microcontroller.Pin  # PA01
PA02: microcontroller.Pin  # PA02
PA03: microcontroller.Pin  # PA03
PA04: microcontroller.Pin  # PA04
PA05: microcontroller.Pin  # PA05
PA06: microcontroller.Pin  # PA06
PA07: microcontroller.Pin  # PA07
PC04: microcontroller.Pin  # PC04
PC05: microcontroller.Pin  # PC05
PB00: microcontroller.Pin  # PB00
PB01: microcontroller.Pin  # PB01
PB02: microcontroller.Pin  # PB02
PE07: microcontroller.Pin  # PE07
PE08: microcontroller.Pin  # PE08
PE09: microcontroller.Pin  # PE09
PE10: microcontroller.Pin  # PE10
PE11: microcontroller.Pin  # PE11
PE12: microcontroller.Pin  # PE12
PE13: microcontroller.Pin  # PE13
PE14: microcontroller.Pin  # PE14
PE15: microcontroller.Pin  # PE15
PB11: microcontroller.Pin  # PB11
PB10: microcontroller.Pin  # PB10
PB12: microcontroller.Pin  # PB12
PB13: microcontroller.Pin  # PB13
PB14: microcontroller.Pin  # PB14
PB15: microcontroller.Pin  # PB15
PD08: microcontroller.Pin  # PD08
PD09: microcontroller.Pin  # PD09
PD10: microcontroller.Pin  # PD10
PD11: microcontroller.Pin  # PD11
PD12: microcontroller.Pin  # PD12
PD13: microcontroller.Pin  # PD13
PD14: microcontroller.Pin  # PD14
PD15: microcontroller.Pin  # PD15
PC14: microcontroller.Pin  # PC14
PC15: microcontroller.Pin  # PC15
PC13: microcontroller.Pin  # PC13
PE06: microcontroller.Pin  # PE06
PE05: microcontroller.Pin  # PE05
PE04: microcontroller.Pin  # PE04
PE03: microcontroller.Pin  # PE03
PE02: microcontroller.Pin  # PE02
PE01: microcontroller.Pin  # PE01
PE00: microcontroller.Pin  # PE00
PB09: microcontroller.Pin  # PB09
PB08: microcontroller.Pin  # PB08
PB07: microcontroller.Pin  # PB07
PB06: microcontroller.Pin  # PB06
PB05: microcontroller.Pin  # PB05
PB04: microcontroller.Pin  # PB04
PB03: microcontroller.Pin  # PB03
PD07: microcontroller.Pin  # PD07
PD06: microcontroller.Pin  # PD06
PD05: microcontroller.Pin  # PD05
PD04: microcontroller.Pin  # PD04
PD03: microcontroller.Pin  # PD03
PD02: microcontroller.Pin  # PD02
PD01: microcontroller.Pin  # PD01
PD00: microcontroller.Pin  # PD00
PC12: microcontroller.Pin  # PC12
PC11: microcontroller.Pin  # PC11
PC10: microcontroller.Pin  # PC10
PA15: microcontroller.Pin  # PA15
PA14: microcontroller.Pin  # PA14
PA13: microcontroller.Pin  # PA13
PA10: microcontroller.Pin  # PA10
PA09: microcontroller.Pin  # PA09
PA08: microcontroller.Pin  # PA08
PC09: microcontroller.Pin  # PC09
PC08: microcontroller.Pin  # PC08
PC07: microcontroller.Pin  # PC07
PC06: microcontroller.Pin  # PC06
LD3: microcontroller.Pin  # PD13
LD4: microcontroller.Pin  # PD12
LD5: microcontroller.Pin  # PD14
LD6: microcontroller.Pin  # PD15
LED1: microcontroller.Pin  # PD13
LED2: microcontroller.Pin  # PD12
LED3: microcontroller.Pin  # PD14
LED4: microcontroller.Pin  # PD15
A0: microcontroller.Pin  # PA00
A1: microcontroller.Pin  # PA01
A2: microcontroller.Pin  # PA02
A3: microcontroller.Pin  # PA03
A4: microcontroller.Pin  # PA04
A5: microcontroller.Pin  # PA05
LED_ORANGE: microcontroller.Pin  # PD13
LED_GREEN: microcontroller.Pin  # PD12
LED_RED: microcontroller.Pin  # PD14
LED_BLUE: microcontroller.Pin  # PD15


# Members:

# Unmapped:
#   none
